Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class NullDelimiter

    java.lang.Object
      com.servingxml.components.flatfile.options.NullDelimiter

All Implemented Interfaces:
  Delimiter

    public class NullDelimiter

extends java.lang.Object
implements Delimiter

Field Summary

Fields inherited from interface com.servingxml.components.flatfile.options.Delimiter
`EMPTY_DELIMITER_ARRAY, NULL`

Constructor Summary
`NullDelimiter()`

Method Summary
`char` | `charAt(int i)`
`DelimiterCharChecker` | `createCharDelimiterChecker()`
`DelimiterByteChecker` | `createDelimiterChecker(java.nio.charset.Charset charset)`
`boolean` | `equalsString(java.lang.String s)`
`boolean` | `forReading()`
`boolean` | `forWriting()`
`boolean` | `isEmpty()`
`boolean` | `occursIn(java.lang.String s)`
`void` | `writeEndDelimiterTo(RecordOutput recordOutput)`
`void` | `writeEndDelimiterTo(java.lang.StringBuilder buf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullDelimiter

    public NullDelimiter()

Method Detail

### writeEndDelimiterTo

    public void writeEndDelimiterTo(java.lang.StringBuilder buf)

  Specified by:
    `writeEndDelimiterTo` in interface `Delimiter`

### writeEndDelimiterTo

    public void writeEndDelimiterTo(RecordOutput recordOutput)

  Specified by:
    `writeEndDelimiterTo` in interface `Delimiter`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Delimiter`

### charAt

    public char charAt(int i)

### occursIn

    public boolean occursIn(java.lang.String s)

  Specified by:
    `occursIn` in interface `Delimiter`

### equalsString

    public boolean equalsString(java.lang.String s)

  Specified by:
    `equalsString` in interface `Delimiter`

### createDelimiterChecker

    public DelimiterByteChecker createDelimiterChecker(java.nio.charset.Charset charset)

  Specified by:
    `createDelimiterChecker` in interface `Delimiter`

### createCharDelimiterChecker

    public DelimiterCharChecker createCharDelimiterChecker()

  Specified by:
    `createCharDelimiterChecker` in interface `Delimiter`

### forReading

    public boolean forReading()

  Specified by:
    `forReading` in interface `Delimiter`

### forWriting

    public boolean forWriting()

  Specified by:
    `forWriting` in interface `Delimiter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD